
#import <appkit/appkit.h>

// none of the delegate messages are sent yet; they are planned in the
// future, and so they are here so that you'll know what to expect to see...

@protocol ImageWellDelegate

// return NO if a change to a particular file is not to be made
- (BOOL)fileWillChangeTo:(const char *)fileName;

// alert of new file (set via drag&drop, open panel, or programmatically)
- fileChangedTo:(const char *)fileName;

@end


@interface ImageWell:View
{
	NXPoint offset;	// used to center the thumbnail image
	id _myImage;	// holds the image to draw in the well
					// which is set via drag&drop or programmatically
	BOOL backIsColor; // YES if we have no image
	NXColor backColor;
	NXDragOperation dragOperation;
	char *imageName;
	id delegate;
}

- setDelegate:anObject;					// set the delegate, returns self
- delegate;								// return the delegate
- image;								// returns _myImage
- (const char *)imageName;				// returns fileName of _myImage
- (const char *)stringValue;			// returns fileName of _myImage
- setImageFile:(const char *)fileName;	// sets _myImage to a specific file
- changeImage:sender;					// sets _myImage via the Open... panel

@end
