/* MiscSwapViewByMatrix.m				 
 *
 * This is a SwapView that can handle swapping triggered by objects inside
 * a matrix. Sorry no multiple buttons inside a matrix.
 *
 * For more interface-info see the header file. More in depth information
 * can be found here in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		24.01.1994 (Copyleft)
 * Last modified: 	24.01.1994
 */

#import "MiscSwapViewByMatrix.h"

@implementation MiscSwapViewByMatrix

- swapAction:sender
{
	// To handle matrix actions properly we have to keep in mind that the
	// sender is not the (button)cell triggering the matrix but the selected
	// object of this matrix. 
	// So all we have to do is change the sender to the selectedCell an
	// leave the rest to our superClass.
	
	return [super swapAction:[sender selectedCell]];
}

@end

/*
 * History: 24.01.94 Made it MiscSwap conform.
 *
 *			08.01.94 Derived from the basic swapController to serve the need
 *					 to handle different buttons inside a scrollable matrix.
 *
 *
 * Bugs: Not here!
 */